# - Config file for the mshr package
# It defines the following variables
#  MSHR_INCLUDE_DIRS  - include directories for mshr
#  MSHR_LIBRARIES_DIR - directory where the mshr library is located
#  MSHR_LIBRARIES     - libraries to link against
 
# Compute paths
get_filename_component(MSHR_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
set(MSHR_INCLUDE_DIRS "/usr/include")
set(MSHR_EXTERNAL_INCLUDE_DIRS ";/usr/include;/usr/lib/python3.6/site-packages/ffc/backends/ufc;/usr/include/eigen3;/usr/include;")
set(MSHR_LIBRARIES_DIRS "/usr/lib64")
set(MSHR_EXTERNAL_LIBRARIES ";dolfin;")
set(MSHR_CXX_DEFINITIONS "-DDOLFIN_VERSION=\"2017.2.0\";-DDOLFIN_LA_INDEX_SIZE=4")
set(MSHR_CXX_FLAGS "-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -mcet -fcf-protection ")
set(MSHR_LIBRARIES mshr)

set(MSHR_USE_FILE "${MSHR_CMAKE_DIR}/use-mshr.cmake")
